# Package org.apache.lucene.queryparser.surround.parser

This package contains the QueryParser.jj source file for the Surround parser.

Parsing the text of a query results in a SrndQuery in the org.apache.lucene.queryparser.surround.query package.

- Interface Summary
  Interface | Description
  --- | ---
  QueryParserConstants | Token literal values and constants.

- Class Summary
  Class | Description
  --- | ---
  QueryParser | This class is generated by JavaCC.
  QueryParserTokenManager | Token Manager.
  Token | Describes the input token stream.

- Exception Summary
  Exception | Description
  --- | ---
  ParseException | This exception is thrown when parse errors are encountered.

- Error Summary
  Error | Description
  --- | ---
  TokenMgrError | Token Manager Error.